# Uses of Interface
org.springframework.web.servlet.mvc.method.annotation.SseEmitter.SseEventBuilder

Packages that use SseEmitter.SseEventBuilder
Package
Description
org.springframework.web.servlet.mvc.method.annotation
MVC infrastructure for annotation-based handler method processing, building on the `org.springframework.web.method.annotation` package.

## Uses of SseEmitter.SseEventBuilder in org.springframework.web.servlet.mvc.method.annotation

Methods in org.springframework.web.servlet.mvc.method.annotation that return SseEmitter.SseEventBuilder
Modifier and Type
Method
Description
`SseEmitter.SseEventBuilder`
SseEmitter.SseEventBuilder.`comment(String comment)`
Add an SSE "comment" line.
`SseEmitter.SseEventBuilder`
SseEmitter.SseEventBuilder.`data(Object object)`
Add an SSE "data" line.
`SseEmitter.SseEventBuilder`
SseEmitter.SseEventBuilder.`data(Object object, org.springframework.http.MediaType mediaType)`
Add an SSE "data" line.
`static SseEmitter.SseEventBuilder`
SseEmitter.`event()`
`SseEmitter.SseEventBuilder`
SseEmitter.SseEventBuilder.`id(String id)`
Add an SSE "id" line.
`SseEmitter.SseEventBuilder`
SseEmitter.SseEventBuilder.`name(String eventName)`
Add an SSE "event" line.
`SseEmitter.SseEventBuilder`
SseEmitter.SseEventBuilder.`reconnectTime(long reconnectTimeMillis)`
Add an SSE "retry" line.
Methods in org.springframework.web.servlet.mvc.method.annotation with parameters of type SseEmitter.SseEventBuilder
Modifier and Type
Method
Description
`void`
SseEmitter.`send(SseEmitter.SseEventBuilder builder)`
Send an SSE event prepared with the given builder.